package eu.dnetlib.dhp.schema.solr;

import java.io.Serializable;

public class Subject implements Serializable {

    private static final long serialVersionUID = -7242293435544930481L;

    private String value;

    private String type;

    public static Subject newInstance(String value, String type) {
        Subject s = new Subject();
        s.setValue(value);
        s.setType(type);
        return s;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
