
package eu.dnetlib.dhp.schema.solr;

import java.io.Serializable;

/**
 * This class models the access rights of research products.
 */
public class AccessRight implements Serializable {

	private static final long serialVersionUID = 7995566912611238604L;

	private String value;

	private OpenAccessRoute openAccessRoute;

	public static AccessRight newInstance(String value, OpenAccessRoute openAccessRoute) {
		AccessRight accessRight = new AccessRight();
		accessRight.setValue(value);
		accessRight.setOpenAccessRoute(openAccessRoute);
		return accessRight;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public OpenAccessRoute getOpenAccessRoute() {
		return openAccessRoute;
	}

	public void setOpenAccessRoute(OpenAccessRoute openAccessRoute) {
		this.openAccessRoute = openAccessRoute;
	}


}
